/* css for categories */

.categories-section {
    padding: 90px 20px;
}

.categories-container {
    display: grid;
    grid-template-columns: 1fr;
    gap: 35px;
}

.category-card {
    position: relative;
    border-radius: 18px;
    overflow: hidden;
    cursor: pointer;
}

.category-card img {
    width: 100%;
    height: 340px;
    object-fit: cover;
    transition: 0.6s;
}

.category-overlay {
    position: absolute;
    inset: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 14px;
    background: rgba(0, 0, 0, 0.35);
    transition: 0.4s;
}

.category-title {
    color: #fff;
    font-size: 26px;
    text-shadow: 0 4px 15px rgba(0, 0, 0, 0.6);
    font-weight: 700;
    letter-spacing: 1px;
    opacity: 0;
    transform: translateY(-20px);
    transition: 0.3s;
}

.category-card:hover .category-title {
    opacity: 1;
    transform: translateY(0);
}

.category-btn {
    padding: 14px 38px;
    border-radius: 40px;
    background: #d4af37;
    color: #fff;
    font-size: 16px;
    font-weight: 600;
    text-decoration: none;
    transition: 0.3s;
    transform: translateY(20px);
    opacity: 0;
    box-shadow: 0 10px 30px rgba(212, 175, 55, 0.45);
}

.category-card:hover img {
    transform: scale(1.1);
}

.category-card:hover .category-overlay {
    background: rgba(0, 0, 0, 0.45);
}

.category-card:hover .category-btn {
    transform: translateY(0);
    opacity: 1;
}

.category-btn:hover {
    transform: translateY(-3px) scale(1.03);
}

.section-title {
    text-align: center;
    font-size: 26px;
    font-weight: 800;
    color: #222;
    margin-bottom: 30px;
    position: relative;
    display: inline-block;
}

.section-title::after {
    content: "";
    display: block;
    width: 60%;
    height: 3px;
    background: #d4af37;
    margin: 8px auto 0;
    border-radius: 10px;
}

.categories-section {
    text-align: center;
}

@media (min-width:700px) {

    .categories-container {
        grid-template-columns: repeat(2, 1fr);
    }

    .category-card img {
        height: 300px;
    }

}

@media (min-width:1100px) {

    .categories-container {
        grid-template-columns: repeat(3, 1fr);
    }

    .category-card img {
        height: 360px;
    }

}